Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 158541

Summary: ntpd dies with the error "Exiting: out of memory!"
Product: Red Hat Enterprise Linux 3 Reporter: Charles C. Figueiredo <ccf>
Component: ntpAssignee: Miroslav Lichvar <mlichvar>
Status: CLOSED ERRATA QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 3.0CC: tao
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: RHBA-2007-0414 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-06-11 18:51:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 177052    
Attachments:
Description Flags
ntp-4.2.0.a.20050816-10.src.rpm none

Description Charles C. Figueiredo 2005-05-23 14:00:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:

We have our higher stratum ntp servers dying almost weekly. The fail with the following error:

23 May 09:07:54 ntpd[7539]: Exiting: No more memory!

I believe bugzilla #141048 is refers to the same issue for the Fedora camp.

This should probably be addressed for the RHEL community, however, either with a work-around or update/patch.

Version-Release number of selected component (if applicable):
ntp-4.1.2-4.EL3.1

How reproducible:
Always

Steps to Reproduce:
1. Start ntpd
2. Let it run
3. *poof*
  

Actual Results:  23 May 09:07:54 ntpd[7539]: Exiting: No more memory!

Expected Results:  It should just keep running.

Additional info:

Comment 2 Con Tassios 2005-11-23 23:30:21 UTC
I'm experiencing a similar problem on Red Hat Enterprise Linux 4AS U2 (x86_64).
 ntpd will terminate with an 'out of memory' error within hours of starting when
used with the -u option to drop root privileges.  The Red Hat default is to use
id ntp:ntp.

Problem is also described here:
http://lists.ntp.isc.org/pipermail/hackers/2005-June/001418.html

Comment 3 Petr Raszyk 2005-11-28 10:17:48 UTC
Created attachment 121531 [details]
ntp-4.2.0.a.20050816-10.src.rpm

Fixed in current release.
Try to compile and install ntp-4.2.0.a.20050816-10.src.rpm.

Comment 9 Bob Johnson 2006-04-11 16:00:30 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.

Comment 12 Nicola Canepa 2006-05-13 01:34:57 UTC
I tried to compile the .src.rpm, but I receive the following error:

 
RPM build errors:
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    user praszyk does not exist - using root
    group praszyk does not exist - using root
    File must begin with "/": %{_initrddir}/ntpd


Comment 19 Red Hat Bugzilla 2007-06-11 18:51:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0414.html